# CostaPy
# Copyright (C) 2022 Dita Aji Pratama
#
# This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
# This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
# You should have received a copy of the GNU General Public License along with this program. If not, see https://www.gnu.org/licenses/.

from    bottle                  import Bottle, route
from    config                  import directory

import  templates.plain.main	as template_public
import	templates.prime.main	as template_sample_prime
import  modules.public.home     as public_home
import	modules.sample.prime	as sample_prime

app = Bottle()

@app.route('/')
def index():
    params = {
        "mako":{
            "website" : template_public.main(directory.page["public"], "home")
        }
    }
    return public_home.main().html(params)

@app.route('/sample/prime')
def index():
    params = {
        "mako":{
            "website" : template_sample_prime.main(directory.page["sample"], "prime")
        }
    }
    return sample_prime.main().html(params)

